/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/

#if !defined(AFX_GUIDE_H__BD03E0F1_93FA_43BA_B33B_F13C2C7C2929__INCLUDED_)
#define AFX_GUIDE_H__BD03E0F1_93FA_43BA_B33B_F13C2C7C2929__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Guide.h : header file
//

#define GUIDE_TEST_SERVER	0
#define GUIDE_TEST_CLIENT	1
#define GUIDE_NORMAL_SERVER	2
#define GUIDE_NORMAL_CLIENT	3

/////////////////////////////////////////////////////////////////////////////
// CGuide dialog

class CGuide : public CDialog
{
// Construction
public:
	CGuide(int _guideID,CWnd* pParent = NULL);   // standard constructor
	void Refresh();
	int step;
	int guideID;

// Dialog Data
	//{{AFX_DATA(CGuide)
	enum { IDD = IDD_GUIDE };
	CString	m_guide;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGuide)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGuide)
	afx_msg void OnNext();
	afx_msg void OnPrev();
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GUIDE_H__BD03E0F1_93FA_43BA_B33B_F13C2C7C2929__INCLUDED_)
