/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/
#if !defined(AFX_SERVERDEVICEPANE2_H__413DF545_F063_4361_B973_3F9B39ECC560__INCLUDED_)
#define AFX_SERVERDEVICEPANE2_H__413DF545_F063_4361_B973_3F9B39ECC560__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ServerDevicePane2.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CServerDevicePane2 dialog

class CServerDevicePane2 : public CDialog
{
// Construction
public:
	CServerDevicePane2(SctsDMServerDevice *_device,CWnd* pParent = NULL);   // standard constructor
	SctsDMServerDevice *device;
	bool update;
	void Refresh();

// Dialog Data
	//{{AFX_DATA(CServerDevicePane2)
	enum { IDD = IDD_SERVERDEVICEPANE2 };
	CString	m_id;
	CString	m_company;
	CString	m_contact;
	CString	m_name;
	int		m_cauth;
	int		m_sauth;
	CString	m_dmAccPath;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CServerDevicePane2)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CServerDevicePane2)
	virtual BOOL OnInitDialog();
	afx_msg void OnSdevapply();
	afx_msg void OnSdevdiscard();
	afx_msg void OnUpdate();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SERVERDEVICEPANE2_H__413DF545_F063_4361_B973_3F9B39ECC560__INCLUDED_)
