/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/
#if !defined(AFX_UIAINPUT_H__1DCA9378_3FAA_4E54_AF62_01E799BEEF8C__INCLUDED_)
#define AFX_UIAINPUT_H__1DCA9378_3FAA_4E54_AF62_01E799BEEF8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// UIAInput.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CUIAInput dialog

class CUIAInput : public CDialog
{
// Construction
public:
	CUIAInput(SctsSemaphore& _lock,char *_deviceID,char *_display,CString &_input,char _et,char _it,int _maxLen,CWnd* pParent = NULL);   // standard constructor
	SctsSemaphore& lock;
	char *display;
	char *deviceID;
	CString& input;
	char et;
	char it;
	int maxLen;
	void OnOK();
	void OnCancel();
    int DoModal();
    bool isModal;


// Dialog Data
	//{{AFX_DATA(CUIAInput)
	enum { IDD = IDD_UIAINPUT };
	CString	m_edit;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUIAInput)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CUIAInput)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UIAINPUT_H__1DCA9378_3FAA_4E54_AF62_01E799BEEF8C__INCLUDED_)
