/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/
#if !defined(AFX_CLIENTDEVICEPANE_H__0392A132_0CA2_410D_B951_D6E73E8602C0__INCLUDED_)
#define AFX_CLIENTDEVICEPANE_H__0392A132_0CA2_410D_B951_D6E73E8602C0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ClientDevicePane.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CClientDevicePane dialog

class CClientDevicePane : public CDialog
{
// Construction
public:
	CClientDevicePane(SctsDMClientDevice *_device,CWnd* pParent = NULL);   // standard constructor
	
	SctsDMClientDevice *device;
	bool update;
	void Refresh();

// Dialog Data
	//{{AFX_DATA(CClientDevicePane)
	enum { IDD = IDD_CLIENTDEVICEPANE };
	CString	m_id;
	UINT	m_maxmsgsize;
	UINT	m_maxobjsize;
	int		m_wbxml;
	CString	m_testpc;
	CString	m_testpcp;
	CString	m_testpnv;
	BOOL	m_largeObjects;
	CString	m_dmAccPath;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CClientDevicePane)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CClientDevicePane)
	virtual BOOL OnInitDialog();
	afx_msg void OnUpdate();
	afx_msg void OnApply();
	afx_msg void OnCdevdiscard();
	afx_msg void OnCdevlargeobjs();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CLIENTDEVICEPANE_H__0392A132_0CA2_410D_B951_D6E73E8602C0__INCLUDED_)
