/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/
/*************************************************************************/
/* module:          SyncML Communication Protocol include file (Windows) */
/* file:            src/xpt/win/xptdef.h                                 */
/* target system:   win                                                  */
/* target OS:       win                                                  */
/* Purpose:         Define platform-specific values for public header    */
/*                  files.                                               */
/*************************************************************************/


#ifndef XPTDEF_H
#define XPTDEF_H

#include <stdlib.h>     /* For NULL and size_t */

#define XPT_SECTION
#define XPT_DATA_SECTION



/* TK: to improve interoperability and handling we 
 * switched to using .def files instead of compiler
 * specific per function definitions. As long as we only
 * use C this is the easiest and cleanes way
 */
#define XPT_API 
#define XPT_API_DEF
#define XPTAPI
#define XPTEXP1 //__declspec(dllexport)
#define XPTEXP2
#define XPTDECLEXP1

#define stricmp _stricmp
#define memicmp _memicmp

#endif
